Skip to content

Alpha
List Operation Execution History

Request

In Development

This operation is actively being developed. Breaking changes should be expected.

Please contact us before using this operation.

Returns the execution history for all operations. History is stored for the configured retention period (default 4 weeks).

Operation ID: operations_list_execution_history

Security
BearerAuth
Query
filterArray of strings

Filter operation execution history by this query. Available filters:

  • id[eq] - Filter by specific operation ID
  • integration_id[eq] - Filter by specific integration ID
  • account_id[eq] - Filter by specific account ID
  • execution_id[eq] - Filter by specific execution ID
  • started_at[gte] - Filter executions started at or after a specific datetime (RFC3339 format)
  • started_at[lte] - Filter executions started at or before a specific datetime (RFC3339 format)
  • started_at[gt] - Filter executions started after a specific datetime
  • started_at[lt] - Filter executions started before a specific datetime
  • operation_id[eq] - Filter by operation name (e.g., "assets_query_devices") If used more than once, the queries are ANDed together.
orderArray of strings

Select a field to order the results by. Defaults to started_at[desc]. To control the direction of the sorting, append [asc] or [desc] to the field id. For example, started_at[asc] will sort the results by started_at in ascending order. The ordering defaults to desc if not specified. May be used multiple times to order by multiple fields, and the ordering is applied in the order the fields are specified.

limitinteger or null

Number of results to return (default 100, max 500)

start_afterstring or null

Return execution history starting after this cursor.

curl
curl -i -X GET \
  https://api.synqly.com/v1/jobs/history \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Bodyapplication/json
resultArray of objects(OperationExecutionEvent)required

List of execution events

Response
{ "result": [ { … } ] }